var kategorikonten=(function(){
	var hal=0;
	var jumlah=30;
	var iddatakategorikonten=0;
	return{
		caricanggih:function(){
			mload.sh();
			var ik_data = {ajax: 1,mode: "mod",cl: "kategorikonten",
				ikdata: {0:"datacari01",1:1}
			};
			
			$.ajax({url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					mload.hd();
					if(e!=false){
						var boxcari;
						var obj=new Object;
						obj.proses=function(a){
							$("#cari").val(a);
							boxcari.tutup();
							document.getElementById("btcari").click();
						};
						var datacari={"data":e,"proses":obj}
						boxcari=caricanggih.buka(datacari);
					}
				}
			});
		},
		enter:function(e){
			if(e.which == 13 || e.keyCode == 13){
				kategorikonten.loade();
			}
		},
		loade:function(){
			$("#hal_ke").val(0);
			kategorikonten.load();
		},
		load:function(){
			var nohal=$("#hal_ke").val()
			jumlah=$("#jumlah_hal").val();
			hal=(nohal-1)*jumlah;
			var cr=$("#cari").val();
			
			$("#grid_kategorikonten").html("");
			var loaderdata=mload.loading({"el":"loader_data_kategori"});
			
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "kategorikonten",
				ikdata: {0:"getTabel",1:hal,2:jumlah,3:cr}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					loaderdata.tutup();
					//alert(JSON.stringify(e));
					if(e!=false && e.length>0){
						
						if(e.length>0 && e[0]['halaman']>0){
							var htm;
							for(var i=0;i<e[0]['halaman'];i++){
								htm+="<option value='"+(i+1)+"'>"+(i+1)+"</option>";
							}
							$("#hal_ke").html(htm);
							
						}
						$("#hal_ke").val(nohal);
						
						var datatb={
							box:"grid_kategorikonten",
							data:e,
							lebarmin:"500px",
							trklik:{"data":"id","fungsi":"barisklik"},
							title:"kategori Menu",
							isi:[
									{"col":"","judul":"No","tipe":"urut","align":"center","lebar":"50px","halaman":hal,"jumlah":jumlah},
									{"col":"nama","judul":"Nama Kategori","tipe":"data"},
									{"align":"center","judul":"Status","tipe":"tpl","tpl":"btstatus","lebar":"60px"},
									{"align":"center","judul":"","tipe":"tpl","tpl":"btedit","lebar":"60px"},
									
								],
							mod:"mod",
							module:"kategorikonten"
						};
						tabel.multisub(datatb);
					}else{
						loaderdata.pesan("BELUM ADA DATA KATEGORI");
					}
				}
			});
		},
		buat:function(a){
			document.location=lokal+"member/mod/kategorikonten?id="+a+"&scrmenu="+modmenu.getmenuscr();
		},
		kembali:function(){
			document.location=lokal+"member/mod/kategorikonten?scrmenu="+modmenu.getmenuscr();
		},
		edit:function(a){
			iddatakategorikonten=a;
		},
		simpan:function(){
			$("#box_error_simpan").html("");
			var nama=$("#nama").val();
			
			var err="";
			if(nama=="") err+="Nama kategori konten belum diisi.</br>";
			if(err!=""){
				$("#box_error_simpan").html(err);
				return;
			}
			var fg="inputkategorikonten";
			if(iddatakategorikonten>0){
				fg="editkategorikonten";
			}
			var loadersimpan=mload.loader({"keterangan":"Proses simpan data"});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "kategorikonten",
				ikdata: {0:fg,nama:nama,
					id:iddatakategorikonten}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					if(e==1){
						kategorikonten.kembali();
					}else{
						loadersimpan.error([{"pesan":"Gagal simpan data kategori"}]);
					}
				}
			});
		},
		hapus:function(a){
			if(a<=0) return;
			var boxyesno=null;
			var databox={
				judul:"Yakin akan menghapus data kategori konten ini ?? ",
				proses:function(){
					var loaderhapus=mload.loader({"keterangan":"Proses hapus data ..."});
					boxyesno.tutup();
					var ik_data = {
						ajax: 1,
						mode: "mod",
						cl: "kategorikonten",
						ikdata: {0:"hapusData",id:a}
					};
					
					$.ajax({
						url: lokal+"man.ajax.php",
						type: "POST",
						dataType: "json",
						async:true,
						data: ik_data,
						success: function(e){
							if(e==1){
								loaderhapus.error([{"pesan":"Berhasil"}]);
								kategorikonten.load();
							}else{
								loaderhapus.error([{"pesan":"Gagal hapus data"}]);
							}
						}
					});
				}
			};
			boxyesno=boxwin.yesno(databox);
			boxyesno.buka();
			
		},
		setstatus:function(a,b,c,d){
			var st=0;
			if(tabel.gettabel(b).getdata(c,"status")==0){
				st=1;
			}
			
			var loaderstatus=mload.loader({"keterangan":"Update status ..."});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "kategorikonten",
				ikdata: {0:"setStatus",status:st,id:a}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					if(e==1){
						loaderstatus.tutup();
						d.className="mini_dis";
						if(st==1){
							d.className="mini_ok";
						}
						
						tabel.gettabel(b).setdata(c,"status",st);
					}else{
						loaderstatus.error([{"pesan":"Gagal update status"}]);
					}
				}
			});
		}
	};
})();